org.gradle.api.artifacts

## Interface ComponentModuleMetadata

- All Known Subinterfaces:
    ComponentModuleMetadataDetails

      @Incubating
      public interface ComponentModuleMetadata

  Contains immutable component module metadata information.
  Since:
    2.2

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ModuleIdentifier` | `getId()` The identifier of the module.
    `ModuleIdentifier` | `getReplacedBy()` The identifier of module that replaces this module.

- - ### Method Detail

    - #### getId

          ModuleIdentifier getId()

      The identifier of the module.

    - #### getReplacedBy

          @Nullable
          ModuleIdentifier getReplacedBy()

      The identifier of module that replaces this module. A real world example: 'com.google.collections:google-collections' is replaced by 'com.google.guava:guava'.